Simple Virtual Machine A simple but flexible virtual machine

Functions
SVM process status
SVM processes

This module contains API functions to handle SVM process status. More...

## Functions
SVM_FUNCTION SVM_String | svm_process_get_name (const void *svm, const SVM_Process process)
| This function retrieves the name of a process. More...
SVM_FUNCTION SVM_Process_State | svm_process_get_state (const void *svm, const SVM_Process process)
| This function retrieves the status of a process. More...
SVM_FUNCTION SVM_Value_Interruption | svm_process_get_interruption (const void *svm, const SVM_Process process)
| This function retrieves the interruption of an interrupted process. More...
SVM_FUNCTION SVM_String | svm_process_print (const void *svm, const SVM_Process process)
| This function returns a minimal string representation of the process state. More...
SVM_FUNCTION SVM_String | svm_process_get_coredump (const void *svm, const SVM_Process process)
| This function returns a string representation of the process. More...

## Detailed Description

This module contains API functions to handle SVM process status.

## Function Documentation

## ◆ svm_process_get_coredump()

SVM_FUNCTION SVM_String svm_process_get_coredump | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function returns a string representation of the process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the status will be extracted.

The process does need to be locked by us.

Returns
  A SVM_String containing a representation of the process.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_process_get_interruption()

SVM_FUNCTION SVM_Value_Interruption svm_process_get_interruption | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function retrieves the interruption of an interrupted process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the interruption will be extracted.

The process does need to be locked by us.

Returns
  If the process is interrupted, the interruption of the process, a NULL pointer otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_process_get_name()

SVM_FUNCTION SVM_String svm_process_get_name | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function retrieves the name of a process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the status will be extracted.

Returns
  The process name.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_process_get_state()

SVM_FUNCTION SVM_Process_State svm_process_get_state | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function retrieves the status of a process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the status will be extracted.

Returns
  The process status.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_process_print()

SVM_FUNCTION SVM_String svm_process_print | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function returns a minimal string representation of the process state.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the status will be extracted.

The process does need to be locked by us.

Returns
  A SVM_String containing a minimal representation of the process state.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)